LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04984Development Accessibilitypublic2011-02-28 11:582012-03-13 22:39
ReporterDenisChenu 
Assigned ToDenisChenu 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target Version2.00Fixed in Version2.00a 
Summary04984: Need more class for all question/answer part
DescriptionSometimes, we need to make some css or js operation at answer part or question part.

jquery and css can be used for this operation, but it's can be easily accessed with more class in survey.
Additional InformationSee : http://www.limesurvey.org/forum/design-issues/57399-arraymatrix-question-design-issue?lang=en#57459 [^] for an example of situation.

I think we can have to class="answers-list" for ul and "answer-item" for li to start, and sure a lot of another class.

Exemple:
answers-list
answer-item
answers-block
answer-label
answer-input

maybe answer-item answer-other

I think it's best to use the best usage class and don't put descriptive class ( no table-item for example)
TagsNo tags attached.
Attached Files

- Relationships
related to 05514resolvedDenisChenu Remove prepareCellAdapters and cellAdapter for jquery 

-  Notes
User avatar (17131)
DenisChenu (developer)
2012-02-01 11:37

See a lot of bad HTML in yii actually:
<center> for exemple, and other thing ( see 5 point choice with star rating attribute).

More work than attended ....

How make html compatible systeme ?
<div class="5point star-rating"> seem a good solution for HTML but for template :
use a defaukt.css ? Add .star-rating{margin:0 auto;} in all template ?

Denis
User avatar (17324)
DenisChenu (developer)
2012-02-09 12:57

Adding a lot of class:
- subquestions-list questions-list
- answers-list
- dropdown-list checkbox-list text-list numeric-list
- dropdown-item checkbox-item radio-item text-item numeric-item

On 12417

- Issue History
Date Modified Username Field Change
2011-02-28 11:58 DenisChenu New Issue
2011-03-08 12:04 c_schmitz Project Bug reports => Development
2011-10-23 15:54 DenisChenu Relationship added related to 05514
2012-01-11 18:44 DenisChenu Assigned To => DenisChenu
2012-01-11 18:44 DenisChenu Status new => assigned
2012-01-11 18:46 DenisChenu Category Survey design => Accessibility
2012-01-11 18:46 DenisChenu Product Version 1.92 =>
2012-01-11 18:46 DenisChenu Target Version 1.92 => 2.00
2012-02-01 11:37 DenisChenu Note Added: 17131
2012-02-09 12:57 DenisChenu Note Added: 17324
2012-02-09 12:57 DenisChenu Status assigned => resolved
2012-02-09 12:57 DenisChenu Fixed in Version => 2.00a
2012-02-09 12:57 DenisChenu Resolution open => fixed
2012-03-13 22:39 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker